***

title: update
slug: /reference/typescript/rest/short-codes/update
description: Update a short code's configuration.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Update a short code's configuration. Uses PUT.

<EndpointSchemaSnippet endpoint="PUT /api/relay/rest/short_codes/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="PUT /api/relay/rest/short_codes/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

await client.shortCodes.update("short-code-id", {
    message_request_url: "https://example.com/sms",
});
```